/*
*
* Blocks
*/

%block-center {
	margin-left: auto;
	margin-right: auto;
}

// The block element can be centered horizontally
//
.block-center {
	@extend %block-center;
}

// Limits block width and block element can be centered horizontally
//


.block-xs {
	max-width: 500px;
}
.block-sm {
	@extend %block-center;
	max-width: 560px;
}


.block-lg {
	@extend %block-center;
	max-width: 768px;
}

// Block center
.block-center {
	padding: 10px;
	&:hover {
		.block-center-header {
			background-color: $primary;
		}
	}
}

.block-center-inner {
}

.block-center-inner-aside {
}

.block-center-inner-main {
}

.block-center-title {
	background-color: $white;
}

@include media-breakpoint-down(xl) {
	.block-center {
		padding: 20px;
		&:hover {
			.block-center-header {
				background-color: $white;
			}
		}
	}

	.block-center-header {
		background-color: $primary;
	}
}

 

// block image aside
.block-img-aside {
	overflow: hidden;
	@include media-breakpoint-up(lg) {
		position: absolute;
		bottom: 0;
		top: 0;
		width: 100%;
		background: url('../images/home-3-1-974x626.jpg');
		background-size: cover;
		img {
			display: none;
		}
	}
	
}



.block-decorate {
	position: relative;
	max-width: 760px;
	margin-left: auto;
	margin-right: auto;
	
	overflow: hidden;
	font-size: 120px;
	font-family: $font-family-sec;
	font-weight: 700;
	color: $white;
	line-height: 1;
	
	
	@include media-breakpoint-up(sm) {
		font-size: 170px;
	}

	@include media-breakpoint-up(lg) {
		font-size: 260px;
	}

	@include media-breakpoint-up(xl) {
		font-size: 360px;
	}
	
}
* + .block-decorate {
	margin-top: 25px;
}

.block-accent {
	p.big, p.rights {
		color: $gray-800;
		a:hover {
			color: $white;
		}
	}
	.button-white {
		color: $gray-800;
		&:hover, &:focus {
			background: $gray-800;
			border-color: $gray-800;
			color: $white;
		}
	}
}